<?php
/**
 * Contenido extension pack (mpContenidoX), consists of multiple classes to
 * provide more features for Plugins/Modules.
 *
 * Some extended contenido configuration
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Configuration
 * @author      Murat Purc <murat@purc.de>
 * @copyright   Copyright (c) 2009-2010 Murat Purc (http://www.purc.de)
 * @license     http://www.gnu.org/licenses/gpl-2.0.html - GNU General Public License, version 2
 * @version     $Id$
 */


defined('CON_FRAMEWORK') or die('Illegal call');


global $cfg;

// some extended configuration
$cfg['mpContenidoXApp'] = array();

// backend content debug
$cfg['mpContenidoXApp']['contentDebug'] = false;

// assoziative array of template replacements
$cfg['mpContenidoXApp']['templateReplacements'] = array(
    '{CONTENIDO_PATH}'    => $GLOBALS['cfg']['path']['contenido'],
    '{CONTENIDOX_PAGE}'   => CONTENIDOX_PAGE,
    '{CLIENT_PATH}'       => $GLOBALS['cfgClient'][$GLOBALS['client']]['path']['frontend'],
    '{SID}'               => $GLOBALS['sess']->id
);

// default module name
$cfg['mpContenidoXApp']['defaultModule'] = 'default';

// default controller
$cfg['mpContenidoXApp']['defaultController'] = 'index';

// configurations folder name
$cfg['mpContenidoXApp']['configsFolder'] = 'configs';

// controller folder name
$cfg['mpContenidoXApp']['controllerFolder'] = 'controllers';

// controls folder name
$cfg['mpContenidoXApp']['controlsFolder'] = 'controls';

// functions folder name
$cfg['mpContenidoXApp']['functionsFolder'] = 'functions';

// templates folder name
$cfg['mpContenidoXApp']['templatesFolder'] = 'templates';

// helper folder name
$cfg['mpContenidoXApp']['helperFolder'] = 'helper';

// template helper folder name
$cfg['mpContenidoXApp']['helperTemplatesFolder'] = 'helper/templates';

// models folder name
$cfg['mpContenidoXApp']['modelsFolder'] = 'models';


// template compiler settings
$cfg['mpContenidoXApp']['templateCompiler'] = array(
    'function' => array(
        'pattern'   => '/\{\{(.*?)\}\}/',
        'separator' => '%%'
    )
);
