<?php
/**
 * Contenido extension pack (mpContenidoX), consists of multiple classes to
 * provide more features for Plugins/Modules.
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Controller
 * @author      Murat Purc <murat@purc.de>
 * @copyright   Copyright (c) 2009-2010 Murat Purc (http://www.purc.de)
 * @license     http://www.gnu.org/licenses/gpl-2.0.html - GNU General Public License, version 2
 * @version     $Id$
 */


defined('CON_FRAMEWORK') or die('Illegal call');


/**
 * Index controller.
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Controller
 * @author      Murat Purc <murat@purc.de>
 */
class IndexController extends ConMp_Controller_Backend_Abstract
{

    /**
     * Displays a linked list of available controller.
     *
     * @return  void
     */
    public function indexAction()
    {
        $tpl = ConMp_Template_Extended::getInstance($this->_templateFile, 'LAYOUT_MAIN');

        $files = $this->_getControllerFiles();

        if (count($files) == 0) {
            $tpl->set('d', 'CONTROLLER_HREF', '#');
            $tpl->set('d', 'CONTROLLER_TEXT', 'No controller files found');
            $tpl->next();
        } else {
            foreach ($files as $file) {
                $area = strtolower(str_replace('Controller.php', '', $file));
                $name = str_replace('.php', '', $file);
                $href = CONTENIDOX_PAGE . '?contenido=' . $this->_sess->id . '&amp;area=' . $area;
                $tpl->set('d', 'CONTROLLER_HREF', $href);
                $tpl->set('d', 'CONTROLLER_TEXT', $name);
                $tpl->next();
            }
        }
        $tpl->generate();
    }


    /**
     * Reads the controler dir, collects found files and returns them as a
     * indexed array.
     *
     * @return  array
     */
    private function _getControllerFiles()
    {
        $dir   = $this->_modulePath . $this->_cfg->mpContenidoXApp['controllerFolder'];
        $files = array();
        foreach (new DirectoryIterator($dir) as $fileInfo) {
            if ($fileInfo->isDot()) {
                continue;
            }
            $files[] = $fileInfo->getFilename();
        }
        return $files;
    }

}
