<?php
/**
 * Contenido extension pack (mpContenidoX), consists of multiple classes to
 * provide more features for Plugins/Modules.
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Template
 * @author      Murat Purc <murat@purc.de>
 * @copyright   Copyright (c) 2009-2010 Murat Purc (http://www.purc.de)
 * @license     http://www.gnu.org/licenses/gpl-2.0.html - GNU General Public License, version 2
 * @version     $Id$
 */


defined('CON_FRAMEWORK') or die('Illegal call');



/**
 * Proxy for Debug_VisibleAdv::add()
 *
 * @param  mixed   $var  Variable to debug
 * @param  string  $msg  Additional message
 */
function conX_debugAdd($var, $msg) {
    if (ConMp_Config::getInstance()->mpContenidoXApp['contentDebug'] == true) {
        Debug_VisibleAdv::getInstance()->add($var, $msg);
    }
}

/**
 * Proxy for Debug_VisibleAdv::getAll()
 *
 * @return  The debug messages
 */
function conX_debugGetAll() {
    if (ConMp_Config::getInstance()->mpContenidoXApp['contentDebug'] == true) {
        ob_start();
        Debug_VisibleAdv::getInstance()->showAll();
        return ob_get_clean();
    } else {
        return '';
    }
}
