<?php
/**
 * Contenido extension pack (mpContenidoX), consists of multiple classes to
 * provide more features for Plugins/Modules.
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Cache
 * @author      Murat Purc <murat@purc.de>
 * @copyright   Copyright (c) 2009-2010 Murat Purc (http://www.purc.de)
 * @license     http://www.gnu.org/licenses/gpl-2.0.html - GNU General Public License, version 2
 * @version     $Id$
 */


defined('CON_FRAMEWORK') or die('Illegal call');


/**
 * Simple function cache class
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Cache
 * @author      Murat Purc <murat@purc.de>
 */
class ConMp_Cache_Function
{
    protected static $_cache = array();

    /**
     * Caches and returns results of invoked functions
     * @param   string  $name
     * @param   array   $params
     * @return  mixed
     */
    public static function get($name, $params=array()) {
        if (!function_exists($name)) {
            return null;
        }

        $key = md5($name . serialize($params));
        if (!isset(self::$_cache[$key])) {
            $result = call_user_func_array($name, $params);
            self::$_cache[$key] = $result;
        }

        return self::$_cache[$key];
    }
}
