<?php
/**
 * Contenido extension pack (mpContenidoX), consists of multiple classes to
 * provide more features for Plugins/Modules.
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Debugging
 * @author      Murat Purc <murat@purc.de>
 * @copyright   Copyright (c) 2008-2010 Murat Purc (http://www.purc.de)
 * @license     http://www.gnu.org/licenses/gpl-2.0.html - GNU General Public License, version 2
 * @version     $Id$
 */


defined('CON_FRAMEWORK') or die('Illegal call');


/**
 * Contenido debug class, extends ConMp_Debug and adds logging feature by using a wrapper for
 * <code>
 * DebuggerFactory::getDebugger('file')->show($var, $msg);
 * </code>
 *
 * Usage:
 * <code>
 * ConMp_Debug_Contenido::getInstance()->log($var, $msg);
 * </code>
 *
 * @package     ContenidoX
 * @subpackage  Debugging
 * @author      Murat Purc <murat@purc.de>
 * @copyright    Murat Purc 2008-2010
 * @license     http://www.gnu.org/licenses/gpl-2.0.html - GNU General Public License, version 2
 * @version     0.1.1
 */
class ConMp_Debug_Contenido extends ConMp_Debug
{

    /**
     * Wrapper for logging a debug message.
     *
     * @param  mixed  $var   Variable to log content
     * @param  string  $msg  Message to describe the variable
     */
    public function log($var, $msg='')
    {
        if ($this->_enable == false) {
            return;
        }
        DebuggerFactory::getDebugger('file')->show($var, $msg);
    }

}
