<?php
/**
 * Contenido extension pack (mpContenidoX), consists of multiple classes to
 * provide more features for Plugins/Modules.
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Template
 * @author      Murat Purc <murat@purc.de>
 * @copyright   Copyright (c) 2009-2010 Murat Purc (http://www.purc.de)
 * @license     http://www.gnu.org/licenses/gpl-2.0.html - GNU General Public License, version 2
 * @version     $Id$
 */


defined('CON_FRAMEWORK') or die('Illegal call');


/**
 * Template processor for control tags
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Template
 * @author      Murat Purc <murat@purc.de>
 */
class ConMp_Template_Compiler_Control implements ConMp_Template_Compiler_Interface
{
    private $_pattern = '#\<(conControl\:)(.*?)/\>#s';
    private $_controlTags = array();
    private $_cfg;

    public function __construct()
    {
        $this->_cfg = & $GLOBALS['cfg'];
    }

    public function process($template)
    {
        if (preg_match_all($this->_pattern, $template, $matches)) {
            $conControls = '';
            foreach ($matches[0] as $p => $match) {
                $node = str_replace('<conControl:', '<', $match);
                $conControls .= $node . "\n";
            }

            // @todo: finalize encoding
            #$encoding = $GLOBALS['encoding'][$GLOBALS['lang']];
            $xml = '<?xml version="1.0" encoding="ISO-8859-1"?>
<conControls>
' . $conControls . '
</conControls>
        ';
            $xmlObj = new SimpleXMLElement($xml);
            foreach ($xmlObj->children() as $control) {
                $name = $control->getName();
                $controlTag = new ConMp_Template_Compiler_ControlItem($name, $match);
                foreach ($control->attributes() as $attribute => $value) {
                    $controlTag->setAttribute($attribute, $value);
                }
                $result = $controlTag->processControl();
                $template = str_replace($match, $result, $template);
            }
        }
        return $template;
    }
}
