<?php
/**
 * Contenido extension pack (mpContenidoX), consists of multiple classes to
 * provide more features for Plugins/Modules.
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Template
 * @author      Murat Purc <murat@purc.de>
 * @copyright   Copyright (c) 2009-2010 Murat Purc (http://www.purc.de)
 * @license     http://www.gnu.org/licenses/gpl-2.0.html - GNU General Public License, version 2
 * @version     $Id$
 */


defined('CON_FRAMEWORK') or die('Illegal call');


/**
 * Template compiler for template functions
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Template
 * @author      Murat Purc <murat@purc.de>
 */
class ConMp_Template_Compiler_Function implements ConMp_Template_Compiler_Interface
{
    private static $_instance = null;
    private $_pattern = '/\{\{(.*?)\}\}/';
    private $_separator = '%%';


    protected function __construct()
    {
        $cfg = & $GLOBALS['cfg']['mpContenidoXApp'];
        if (!isset($cfg['templateCompiler']['function'])) {
            return;
        }
        if (isset($cfg['templateCompiler']['function']['pattern'])) {
            $this->_pattern = $cfg['templateCompiler']['function']['pattern'];
        }
        if (isset($cfg['templateCompiler']['function']['separator'])) {
            $this->_separator = $cfg['templateCompiler']['function']['separator'];
        }
    }


    private function __clone()
    {
        // donut
    }


    public static function getInstance()
    {
        if (self::$_instance == null) {
            self::$_instance = new self();
        }
        return self::$_instance;
    }


    public function process($template)
    {
        if (preg_match_all($this->_pattern, $template, $matches)) {
            foreach ($matches[1] as $p => $wildcard) {
                if (strpos($wildcard, $this->_separator) !== false && strpos($wildcard, $this->_separator) > 0) {
                    $tmp = explode($this->_separator, $wildcard);
                    $class    = array_shift($tmp);
                    $function = array_shift($tmp);
                    $params   = $tmp;
                    $tagFunc  = ConMp_Template_Compiler_FunctionItem::getInstance();
                    $tagFunc->setTag($matches[0][$p]);
                    $tagFunc->setClass($class);
                    $tagFunc->setFunction($function);
                    $tagFunc->setParameter($params);
                    $template = $tagFunc->process($template);
                }
            }
        }
        return $template;
    }
}


