<?php
/**
 * Contenido extension pack (mpContenidoX), consists of multiple classes to
 * provide more features for Plugins/Modules.
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Template
 * @author      Murat Purc <murat@purc.de>
 * @copyright   Copyright (c) 2009-2010 Murat Purc (http://www.purc.de)
 * @license     http://www.gnu.org/licenses/gpl-2.0.html - GNU General Public License, version 2
 * @version     $Id$
 */


defined('CON_FRAMEWORK') or die('Illegal call');


/**
 * Abstract Contenido template control.
 *
 * @package     Plugin_mpContenidoX
 * @subpackage  Template
 * @author      Murat Purc <murat@purc.de>
 */
class ConMp_Template_Control_Abstract implements ConMp_Template_Control_Interface
{
    protected $_parameter = array();


    public function setParameter($name, $value)
    {
        $this->_parameter[$name] = $value;
    }


    public function getParameter($name, $default=null)
    {
        return ($this->hasParameter($name)) ? $this->_parameter[$name] : $default;
    }


    public function hasParameter($name)
    {
        return (isset($this->_parameter[$name]));
    }


    public function removeParameter($name)
    {
        if ($this->hasParameter($name)) {
            unset($this->_parameter[$name]);
        }
    }


    public function render()
    {
        throw new Exception('Abstract function, must be overwritten by child');
    }
}
